import 'source-map-support/register';
import { Context, Schema } from 'koishi';
import _ from 'lodash';

export interface Config {
  prefix: string;
}


export class MyPlugin {
  config: Config
  ctx: Context;
  name = 'my-plugin-main';
  schema: Schema<Config> = Schema.object({
    prefix: Schema.string('desc')
  });
  apply(ctx: Context, config: Config) {
    this.ctx = ctx;
    this.config = Schema.validate(config, this.schema);;
  }
}
